<?php
# ***** BEGIN LICENSE BLOCK *****
#
#  	M  I  N  I  M  A  L         G  R  E  Y
#  	Theme by JibHaine (www.jibhaine.fr)
#   Icones by Fam Fam Fam (www.famfamfam.com)
#		Adapted from Black Minimalism theme (http://cinexl.net/blog/?p=63)
#
# ***** END LICENSE BLOCK *****
if (!defined('DC_CONTEXT_ADMIN')) { return; }

// chargement de la traduction
l10n::set(dirname(__FILE__).'/locales/'.$_lang.'/main');

// style pour l'affichage des couleurs
$minimalgreystyle_styles = array(
	__('Green') => 'color_green',
	__('Blue') => 'color_blue',
	__('Orange') => 'color_orange',
	__('Pink') => 'color_pink',
	__('Purple') => 'color_purple',
	__('Red') => 'color_red'
);

if (!$core->blog->settings->themes->minimalgreystyle_style) {
	$core->blog->settings->themes->minimalgreystyle_style = 'color_green';
}

if (!empty($_POST['minimalgreystyle_style']) && in_array($_POST['minimalgreystyle_style'],$minimalgreystyle_styles))
{
	$core->blog->settings->themes->minimalgreystyle_style = $_POST['minimalgreystyle_style'];
	$core->blog->settings->addNamespace('themes');
	$core->blog->settings->themes->put('minimalgreystyle_style',$core->blog->settings->themes->minimalgreystyle_style,'string','Color',true);
	$core->blog->triggerBlog();
	
	dcPage::success(__('Theme configuration has been successfully updated.'));
}

echo
'<div class="fieldset"><h4>'.__('Color').'</h4>'.
'<p class="field"><label>'.__('Display:').'</label>'.
form::combo('minimalgreystyle_style',$minimalgreystyle_styles,$core->blog->settings->themes->minimalgreystyle_style).
'</p>'.
'</div>';

// affichage de la sidebar en contexte post
$minimalgreysidebar_styles = array(
	__('Yes') => 'sp',
	__('No') => 'nosp'
);

if (!$core->blog->settings->themes->minimalgreysidebar_style) {
	$core->blog->settings->themes->minimalgreysidebar_style = 'nosp';
}

if (!empty($_POST['minimalgreysidebar_style']) && in_array($_POST['minimalgreysidebar_style'],$minimalgreysidebar_styles))
{
	$core->blog->settings->themes->minimalgreysidebar_style = $_POST['minimalgreysidebar_style'];
	$core->blog->settings->addNamespace('themes');
	$core->blog->settings->themes->put('minimalgreysidebar_style',$core->blog->settings->themes->minimalgreysidebar_style,'string','Display sidebar in post context',true);
	$core->blog->triggerBlog();
}

echo
'<div class="fieldset"><h4>'.__('Display sidebar in post context').'</h4>'.
'<p class="field"><label>'.__('Display:').'</label>'.
form::combo('minimalgreysidebar_style',$minimalgreysidebar_styles,$core->blog->settings->themes->minimalgreysidebar_style).
'</p>'.
'</div>';
?>
